# Uses of Class
jcifs.UniAddress

Packages that use UniAddress
Package
Description
jcifs

## Uses of UniAddress in jcifs

Methods in jcifs that return UniAddress
Modifier and Type
Method
Description
`static UniAddress[]`
UniAddress.`getAllByName(String hostname, boolean possibleNTDomainOrWorkgroup)`
`static UniAddress`
UniAddress.`getByName(String hostname)`
Determines the address of a host given it's host name.
`static UniAddress`
UniAddress.`getByName(String hostname, boolean possibleNTDomainOrWorkgroup)`
Lookup `hostname` and return it's `UniAddress`.